## debhelper 13.13

=== debian/changelog ===
debhelper (13.13) unstable; urgency=medium

  * Add `debhelper-documentation` `debputy` plugin. This provides
    `debputy` with some files and file patterns for `debputy`'s
    new `debputy tool-support annotate-debian-directory`.
  * Revert "Dh_Lib.pm: Fix warning from `cp -n`"
    Thanks to Sven Joachim <svenjoac@gmx.de> (Closes: #1061610)

 -- Niels Thykier <niels@thykier.net>  Sat, 27 Jan 2024 21:17:00 +0100

debhelper (13.12) unstable; urgency=medium

  [ Steve Langasek ]
  * Add support for an 'X-Time64-Compat' field in debian/control to allow
    overriding of the auto-generated Provides: as necessary.
    Closes: #1059941.

  [ Niels Thykier ]
  * dh_assistant: Exit with code 2 when unknown hook targets are found
  * dh_assistant: Add the following new subcommands:
    - `supports COMMAND` can be used to programmically check whether
      dh_assistant knows about `COMMAND`. It is a lot better than having
      to check versions or parse `--help` output.
    - `list-commands` can be used to determine all "debhelper commands"
       that will run from a source package (assuming no overrides and
       no add-on adds a non-standard sequence). This command has a
       text and a JSON output.
     - `list-guessed-dh-config-files` can be used to list all
       debhelper config and their related commands. The result
       involves a lot of guess work and will never be 100% reliable,
       which explains the `guessed` part of the command. The output
       is always JSON.
     - Add `restore-file-on-clean` with all its caveats. Use it with
       care for the few cases where it is useful.  (Closes: #1051184)
  * dh_assistant: Always parse Build-Depends for sequences. This
    would have prevented `detect-unknown-hook-targets` from reporting
    issues about hook targets related to add-ons if they were loaded
    via `Build-Depends`.
  * dh_assistant: `detect-unknown-hook-targets` now continues when
    add-ons loading fails. It will still exit with status 2 by
    default when this occurs as if it found an issue.
  * cmake.pm: Remove compat guard for `-DBUILD_TESTING:BOOL=off`
    on `nocheck`
  * Dh_Lib.pm: Fix warning from `cp -n`

  [ Jörg Mechnich ]
  * qmake6.pm: Add cross-compiling support (Closes: #1059209)

  [ David (Plasma) Paul ]
  * Add <pkg.debhelper.nonls> build profile (Closes: #1032816)

 -- Niels Thykier <niels@thykier.net>  Fri, 26 Jan 2024 21:41:09 +0100

debhelper (13.11.10) unstable; urgency=medium

  [ Luca Boccassi ]
  * dh_installsystemduser: fix daemon-reload of user instances

  [ Balint Reczey ]
  * dh_clean: Clean __pycache__ (Closes: #1048890)

  [ Gioele Barabucci ]
  * dh_installchangelogs: Generate separate binNMU changelog also
    under --no-trim (Closes: #1059395)

  [ Niels Thykier ]
  * dh_assistant: Add filename to `detect-hook-targets`
  * Dh_Lib.pm: Ensure `$_use_color` is always initialized first time
  * dh_assistant: Add detect-unknown-hook-targets subcommand

 -- Niels Thykier <niels@thykier.net>  Sun, 21 Jan 2024 13:16:26 +0100

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
Build-Depends: dpkg-dev (>= 1.18.0~),
               libtest-pod-perl <pkg.debhelper.ci>,
               man-db <pkg.debhelper.ci>,
               perl:any,
               po4a <!pkg.debhelper.nonls>,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Testsuite: autopkgtest-pkg-perl
Vcs-Git: https://salsa.debian.org/debian/debhelper.git
Vcs-Browser: https://salsa.debian.org/debian/debhelper

Package: debhelper
Architecture: all
Depends: autotools-dev,
# Version 12 is where dh-autoreconf supports --sourcedirectory.
# Version 16 fixes #887482, version 17 fixes #889567
# Constraint can be relaxed if packages do not rely/require any of the
# above fixes
         dh-autoreconf (>= 17~),
# Version constraint is to get a version of dh-strip-nondeterminism
# without several bugs.  The constraint can be relaxed if an older
# version is sufficient.
         dh-strip-nondeterminism (>= 0.028~),
# dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
         dpkg (>= 1.18.0~),
         dpkg-dev (>= 1.18.2~),
         dwz (>= 0.12.20190711),
         file (>= 3.23),
         libdebhelper-perl (= ${source:Version}),
         libdpkg-perl (>= 1.17.14),
         man-db,
         po-debconf,
         ${misc:Depends},
         ${perl:Depends},
Breaks:
# To ensure cmake understands -DCMAKE_INSTALL_RUNSTATEDIR=/run as used in compat 11
# - Can be dropped (with the caveat that cmake packages may behave differently
#   depending on the version of cmake).
        cmake (<< 3.9~),
# The debhelper-documentation plugin uses features from 0.1.18+
        dh-debputy (<< 0.1.18~),
# meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
        meson (<< 0.40.0~),
# Re-add if qt5-qmake is added to stretch-backports
# The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
# fixes in the subsequent uploads. It is only needed for cross-building.
#        qt5-qmake (<< 5.9.2+dfsg-8),
Suggests: dh-make,
Provides: dh-sequence-dwz,
          dh-sequence-elf-tools,
          dh-sequence-installinitramfs,
          dh-sequence-installsysusers,
          dh-sequence-single-binary,
          dh-sequence-systemd,
          dh-sequence-movetousr,
          ${dh:CompatLevels},
Multi-Arch: foreign
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building Debian packages. Programs
 are included to install various files into your package, compress
 files, fix file permissions, integrate your package with the Debian
 menu system, debconf, doc-base, etc. Most Debian packages use debhelper
 as part of their build process.

Package: libdebhelper-perl
Section: perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
Replaces: debhelper (<< 12.6~),
Breaks: debhelper (<< 12.6~),
Multi-Arch: foreign
Description: debhelper perl modules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building Debian packages.
 .
 This package provides the perl modules used by the scripts in debhelper.

## debhelper 13.14.1ubuntu5

=== Makefile ===
PERL ?= perl
PO4A ?= po4a
POD2MAN ?= pod2man

# List of files of dh_* commands. Sorted for debhelper man page.
COMMANDS=$(shell find . -maxdepth 1 -type f -perm /100 -name "dh_*" -printf "%f\n" | grep -v '~$$' | LC_ALL=C sort)
MANPAGES=$(COMMANDS:=.1) dh.1

# Find deprecated commands by looking at their synopsis.
DEPRECATED=$(shell egrep -l '^dh_.* - .*deprecated' $(COMMANDS))

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    TEST_JOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
    TEST_JOBS = 1
endif

# Figure out the `current debhelper version.
VERSION=$(shell dpkg-parsechangelog -SVersion)

# This generates a list of synopses of debhelper commands, and substitutes
# it in to the #LIST# line on the man page fed to it on stdin. Must be passed
# parameters of all the executables or pod files to get the synopses from.
# For correct conversion of pod tags (like S< >) #LIST# must be substituted in
# the pod file and not in the troff file.
MAKEMANLIST=$(PERL) -e ' \
		undef $$/; \
		foreach (@ARGV) { \
		        open (IN, $$_) or die "$$_: $$!"; \
		        $$file=<IN>; \
		        close IN; \
		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
				my $$item="=item $$1(1)\n\n$$2\n\n"; \
				if (" $(DEPRECATED) " !~ / $$1 /) { \
			                $$list.=$$item; \
				} \
				else { \
			                $$list_deprecated.=$$item; \
				} \
		        } \
		} \
		END { \
			my $$recommended_compat = q{$(VERSION)}; \
			$$recommended_compat =~ s{^\d+\K(?:\D.*|\..*)?}{}; \
			while (<STDIN>) { \
				s/\#LIST\#/$$list/g; \
				s/\#LIST_DEPRECATED\#/$$list_deprecated/g; \
				s/\#RECOMMENDED_COMPAT\#/$$recommended_compat/g; \
				print; \
			}; \
		}'

PERLLIBDIR=$(shell $(PERL) -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper

PREFIX=/usr

POD2MAN_FLAGS=--utf8 -c Debhelper -r "$(VERSION)"

ifneq ($(USE_NLS),no)
# l10n to be built is determined from .po files
LANGS?=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
LANG_TARGETS = $(foreach L,$(LANGS),translated-$(L)-stamp)
else
LANGS=
LANG_TARGETS =
endif

build: $(LANG_TARGETS) version debhelper.7 debhelper-compat-upgrade-checklist.7 debhelper-obsolete-compat.7 $(MANPAGES)


po4a-stamp:
	$(PO4A) --previous -L UTF-8 man/po4a/po4a.cfg
	touch $@

translated-%-stamp: po4a-stamp
	set -e; \
	lang=$* ; \
	dir=man/$$lang; \
	for file in $$dir/dh*.pod; do \
		prog=`basename $$file | sed 's/.pod//'`; \
		$(POD2MAN) $(POD2MAN_FLAGS) $$file $$prog.$$lang.1; \
	done; \
	if [ -e $$dir/debhelper.pod ]; then \
		cat $$dir/debhelper.pod | \
			$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | LC_ALL=C sort` | \
			$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 > debhelper.$$lang.7; \
	fi; \
	if [ -e $$dir/debhelper-compat-upgrade-checklist.pod ]; then \
		$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 $$dir/debhelper-compat-upgrade-checklist.pod > debhelper-compat-upgrade-checklist.$$lang.7; \
	fi ; \
	if [ -e $$dir/debhelper-obsolete-compat.pod ]; then \
		$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 $$dir/debhelper-obsolete-compat.pod > debhelper-obsolete-compat.$$lang.7; \
	fi
	touch $@

version:
	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
		lib/Debian/Debhelper/Dh_Version.pm

dh_%.1: dh_%
	$(POD2MAN) $(POD2MAN_FLAGS) $^ $@

dh.1: dh
	$(POD2MAN) $(POD2MAN_FLAGS) $^ $@

debhelper.7: debhelper.pod
	cat debhelper.pod | \
		$(MAKEMANLIST) $(COMMANDS) | \
		$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7  > $@

%.7: %.pod
	$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 $^ > $@

clean:
	rm -f *-stamp *.1 *.7 lib/Debian/Debhelper/Dh_Version.pm
ifneq ($(USE_NLS),no)
	$(PO4A) --previous --rm-translations --rm-backups man/po4a/po4a.cfg
endif
	for lang in $(LANGS); do \
		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
	done;

install:
	install -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts \
		$(DESTDIR)$(PERLLIBDIR)/Sequence \
		$(DESTDIR)$(PERLLIBDIR)/Buildsystem \
		$(DESTDIR)$(PERLLIBDIR)/DH
	install dh $(COMMANDS) $(DESTDIR)$(PREFIX)/bin
	install -m 0644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts
	install -m 0644 lib/Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
	[ "$(PREFIX)" = /usr ] || \
		sed -i '/$$prefix=/s@/usr@$(PREFIX)@g' $(DESTDIR)$(PERLLIBDIR)/Dh_Lib.pm
	if [ "$(VERSION)" ]; then \
		MV=$$(echo "$(VERSION)" | $(PERL) -ne 'print $$1 if /^(\d+)[~.]/;') ; \
		sed -i "/constant HIGHEST_STABLE_COMPAT_LEVEL =>/s@=>.*;@=> $${MV};@g" $(DESTDIR)$(PERLLIBDIR)/Dh_Lib.pm ; \
	fi
	install -m 0644 lib/Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
	install -m 0644 lib/Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem
	install -m 0644 lib/Debian/Debhelper/DH/*.pm $(DESTDIR)$(PERLLIBDIR)/DH

test: version
	MAKEFLAGS= prove -lrj$(TEST_JOBS) --timer t

=== debian/changelog ===
debhelper (13.14.1ubuntu5) noble; urgency=medium

  * Revert dwz bootstrapping hacks

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 04:50:27 +0000

debhelper (13.14.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Feb 2024 09:10:10 +0100

debhelper (13.14.1) unstable; urgency=medium

  * dh_makeshlibs: Correct the auto-detected package name
  * dh_makeshlibs: Use the "correct" package architecture definition

 -- Niels Thykier <niels@thykier.net>  Fri, 23 Feb 2024 10:13:34 +0100

debhelper (13.14) unstable; urgency=medium

  [ Niels Thykier ]
  * debhelper-documentation.json: The pam change happened in c14
  * dh_assistant: Expose bug#950723 marker in
    list-guessed-dh-config-files
  * dh_installsystemduser: Add missing pkgfiles in DH NOOP promise
  * debhelper-documentation.json: Add dh_installsystemd files
  * debhelper-documentation.json: Add dh_installsystemduser files
  * d/changelog: Fix typo in a previous entry
  * dh_gencontrol: Avoid Static-Built-Using in -dbgsym packages
    (Closes: #1062960)
  * dh_makeshlibs: Improve handling of t64 transition support
    - The presence of the `X-Time64-Compat` now unconditionally
      trigger the `${t64:Provides}` substvar.
    - Auto-detection is now extended to include t64-nss libraries
      (The detection regex is now: `m/^lib.*t64(?:-nss)?$/`)
    - The `${t64:Provides}` substvars now uses `${binary:Version}`
      instead of trying to guess the version. This works better
      for packages that manually set their own version via
      dpkg-gencontrol's -v option.

  [ Michael Hudson-Doyle ]
  * check the dpkg "features" to decide whether to emit t64:Provides

 -- Niels Thykier <niels@thykier.net>  Fri, 23 Feb 2024 08:40:03 +0000

debhelper (13.13ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jan 2024 09:03:50 +0100

debhelper (13.12ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Jan 2024 07:14:27 +0100

debhelper (13.11.10ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the


=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                libtest-pod-perl <pkg.debhelper.ci>,
                man-db <pkg.debhelper.ci>,
                perl:any,
                po4a <!pkg.debhelper.nonls>,
+               debugedit,
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-perl
@@ -29,12 +31,14 @@
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
          dpkg (>= 1.18.0~),
          dpkg-dev (>= 1.18.2~),
+         debugedit,
          dwz (>= 0.12.20190711),
          file (>= 3.23),
          libdebhelper-perl (= ${source:Version}),
          libdpkg-perl (>= 1.17.14),
          man-db,
          po-debconf,
+         awk,
          ${misc:Depends},
          ${perl:Depends},
 Breaks:

=== t/dh_installinit/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Test <testing@nowhere>
Standards-Version: 3.9.8

Package: foo
Architecture: all
Description: package foo
 Package foo

Package: bar
Architecture: all
Description: package bar
 Package bar

Package: baz
Architecture: all
Description: package baz
 Package baz

=== t/dh_installpam/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Test <testing@example.org>
Standards-Version: 3.9.8

Package: foo
Architecture: all
Description: package foo
 Package foo

## debhelper 13.15.3

=== debian/changelog ===
debhelper (13.15.3) unstable; urgency=medium

  * debhelper-compat-upgrade-checklist.pod: Fix repeated substvar.
    Thanks to Andrey Rakhmatullin
  * debhelper-compat-upgrade-checklist.pod: Add ref to #1067653
  * dh_gencontrol: Gracefully cope with custom substvars and -dbgsym packages
    (Closes: #1067711)
  * upgrade-checklist: Document `dh_installsystemduser` change
    (Closes: #1066025)

 -- Niels Thykier <niels@thykier.net>  Wed, 27 Mar 2024 15:56:10 +0100

debhelper (13.15.2) unstable; urgency=medium

  * autopkgtest: Remove reference d/compat triggering perl tests
  * dh_gencontrol: Fix inverted boolean logic causing warnings

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Mar 2024 07:00:11 +0100

debhelper (13.15.1) unstable; urgency=medium

  * Dh_Lib.pm: Fix field truncation in compat 14+
    (Closes: #1067508, #1067509)

 -- Niels Thykier <niels@thykier.net>  Fri, 22 Mar 2024 18:18:29 +0100

debhelper (13.15) unstable; urgency=medium

  * d/changelog: Fix typo of Felix Geyer
  * dh_makeshlibs: Ensure t64:Provides is always provided (but
    sometimes empty)
  * Replace `d/compat` with a `X-DH-Compat` field in compat 14+.
    (Closes: #1021877)
  * Ensure values to --dbg-package and --link-doc are known packages
  * PROGRAMMING.md: Add a note about `dh_assistant`
  * Make it easier to re-bootstrap without `dwz` (and also `man-db`).
    This is a new build profile that build `debhelper` with fewer
    dependencies. Note that this profile causes `debhelper` to produce
    a different result in some cases. Packages built with this minimal
    version of debhelper should be rebuilt when bootstrapping is
    complete.
  * dh_shlibdeps: Use ${shlibs:Pre-Depends} for Essential packages
    in compat 14+.
  * dh_gencontrol: Automatically apply relationship substvars in
    compat 14+
  * Clearly document how to do filtering (which is via dh-exec)
    (Closes: #1065742)
  * Reject debhelper config files without a package prefix for
    multi-binary packages in compat 15. Starting in compat 14, it will
    now trigger a warning to have `debian/install` instead of
    `debian/package.install` when `debian/control` contains 2 or more
    binary packages. In compat 15, this is promoted to an error.  The
    main exceptions are files like `debian/changelog`, `debian/NEWS`,
    and `debian/copyright`, which are applied to all packages and can
    still be used without a prefix. (Closes: #1014537)
  * cmake.pm: Pass ASFLAGS as ASMFLAGS to cmake [c14] (Closes: #1036760)
  * meson.pm: Pass --auto-features=enabled in compat 14+
    (Closes: #1030011, #1062508)
  * Dh_Lib.pm: Simplify reset_perm_and_owner so it only works with int
    now. The only misbehaving call-sites where in debhelper itself
    according to codesearch.debian.net and were fixed as well.
  * Dh_Lib.pm: Bump perl version requirement to 5.28 (Closes: #1001403)
  * dh_makeshlibs: Skip directories known not to contain SONAMEs
    (Closes: #1063126)
  * Restructure debhelper upgrade compat checklist for compat 14 in an
    attempt to make it easier for consumers.

 -- Niels Thykier <niels@thykier.net>  Fri, 22 Mar 2024 15:25:39 +0100

debhelper (4.2.32) unstable; urgency=lo

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                libtest-pod-perl <pkg.debhelper.ci>,
                man-db <pkg.debhelper.ci>,
                perl:any,
                po4a <!pkg.debhelper.nonls>,
-               debugedit,
+X-DH-Compat: 15
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-perl
@@ -31,16 +30,12 @@
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
          dpkg (>= 1.18.0~),
          dpkg-dev (>= 1.18.2~),
-         debugedit,
-         dwz (>= 0.12.20190711),
+         dwz (>= 0.12.20190711) <!pkg.debhelper.bootstrap>,
          file (>= 3.23),
          libdebhelper-perl (= ${source:Version}),
          libdpkg-perl (>= 1.17.14),
-         man-db,
+         man-db <!pkg.debhelper.bootstrap>,
          po-debconf,
-         awk,
-         ${misc:Depends},
-         ${perl:Depends},
 Breaks:
 # To ensure cmake understands -DCMAKE_INSTALL_RUNSTATEDIR=/run as used in compat 11
 # - Can be dropped (with the caveat that cmake packages may behave differently
@@ -75,8 +70,6 @@
 Package: libdebhelper-perl
 Section: perl
 Architecture: all
-Depends: ${misc:Depends},
-         ${perl:Depends},
 Replaces: debhelper (<< 12.6~),
 Breaks: debhelper (<< 12.6~),
 Multi-Arch: foreign

## debhelper 13.16

=== debian/changelog ===
debhelper (13.16) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_assistant: Clearly mark unsafe commands
  * d/changelog: Fix typos in historical entries
  * Migrate to `X-Style: black`
  * dh_assistant.1: Improve documentation and command tagging
  * Improve wording of several man pages.
    Thanks to Christoph Brinkhaus <c.brinkhaus@t-online.de> (Closes: #1069176)
  * Require a package prefix with `--name` in c15 (warning in c14)
  * dh_assistant: Report data about disabled commands in some subcommands.
    This breaks a small subset of the `dh-debputy` features and a related
    `Breaks` has been added.

  [ Peter Pentchev ]
  * Fix a "comat" -> "compat" typo in _load_compat_info()

  [ Luca Boccassi ]
  * dh_installtmpfiles: implement remove on removal, purge on purge

  [ Christoph Brinkhaus ]
  * Update German translation of man pages (Closes: #1069176)

 -- Niels Thykier <niels@thykier.net>  Mon, 17 Jun 2024 16:00:40 +0000

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
Uploaders:
 Niels Thykier <niels@thykier.net>,
Build-Depends:
 dpkg-dev (>= 1.18.0~),
 libtest-pod-perl <pkg.debhelper.ci>,
 man-db <pkg.debhelper.ci>,
 perl:any,
 po4a <!pkg.debhelper.nonls>,
X-DH-Compat: 15
X-Style: black
Rules-Requires-Root: no
Standards-Version: 4.6.1
Testsuite:
 autopkgtest-pkg-perl
Vcs-Git: https://salsa.debian.org/debian/debhelper.git
Vcs-Browser: https://salsa.debian.org/debian/debhelper

Package: debhelper
Architecture: all
Depends:
 autotools-dev,
# Version 12 is where dh-autoreconf supports --sourcedirectory.
# Version 16 fixes #887482, version 17 fixes #889567
# Constraint can be relaxed if packages do not rely/require any of the
# above fixes
 dh-autoreconf (>= 17~),
# Version constraint is to get a version of dh-strip-nondeterminism
# without several bugs.  The constraint can be relaxed if an older
# version is sufficient.
 dh-strip-nondeterminism (>= 0.028~),
# dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
 dpkg (>= 1.18.0~),
 dpkg-dev (>= 1.18.2~),
 dwz (>= 0.12.20190711) <!pkg.debhelper.bootstrap>,
 file (>= 3.23),
 libdebhelper-perl (= ${source:Version}),
 libdpkg-perl (>= 1.17.14),
 man-db <!pkg.debhelper.bootstrap>,
 po-debconf,
Breaks:
# To ensure cmake understands -DCMAKE_INSTALL_RUNSTATEDIR=/run as used in compat 11
# - Can be dropped (with the caveat that cmake packages may behave differently
#   depending on the version of cmake).
 cmake (<< 3.9~),
# The debhelper-documentation plugin uses features from 0.1.18+
# The `dh_assistant` change in 13.16 is not great for `dh-debputy`'s LSP/Lint features before debputy/0.1.37
# (The build part of `debputy` is unaffected)
 dh-debputy (<< 0.1.36~),
# meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
 meson (<< 0.40.0~),
Suggests:
 dh-make,
Provides:
 dh-sequence-dwz,
 dh-sequence-elf-tools,
 dh-sequence-installinitramfs,
 dh-sequence-installsysusers,
 dh-sequence-movetousr,
 dh-sequence-single-binary,
 dh-sequence-systemd,
 ${dh:CompatLevels},
Multi-Arch: foreign
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building Debian packages. Programs
 are included to install various files into your package, compress
 files, fix file permissions, integrate your package with the Debian
 menu system, debconf, doc-base, etc. Most Debian packages use debhelper
 as part of their build process.

Package: libdebhelper-perl
Section: perl
Architecture: all
Replaces:
 debhelper (<< 12.6~),
Breaks:
 debhelper (<< 12.6~),
Multi-Arch: foreign
Description: debhelper perl modules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building Debian packages.
 .
 This package provides the perl modules used by the scripts in debhelper.

## debhelper 13.16ubuntu2

=== debian/changelog ===
debhelper (13.16ubuntu2) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - Imply "<!noudeb>" profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jun 2024 10:08:57 +0200

debhelper (13.15.3ubuntu2) oracular; urgency=medium

  * Revert objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
      (LP: #1938886) looks now fixed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Jun 2024 19:39:58 +0200

debhelper (13.15.3ubuntu1) oracular; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply "<!noudeb>" profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Jun 2024 09:40:01 -0500

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  man-db <pkg.debhelper.ci>,
  perl:any,
  po4a <!pkg.debhelper.nonls>,
+ debugedit,
 X-DH-Compat: 15
 X-Style: black
 Rules-Requires-Root: no
@@ -35,6 +36,8 @@
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
  dpkg (>= 1.18.0~),
  dpkg-dev (>= 1.18.2~),
+ debugedit,
+ awk,
  dwz (>= 0.12.20190711) <!pkg.debhelper.bootstrap>,
  file (>= 3.23),
  libdebhelper-perl (= ${source:Version}),

## debhelper 13.18ubuntu2

=== debian/changelog ===
debhelper (13.18ubuntu2) oracular; urgency=medium

  * dh_installlogrotate: Re-added 'named' pkgfile's in compat 14+ to
    enable --name for log rotate.
    (LP: #2077407)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 11 Sep 2024 00:21:43 -0700

debhelper (13.18ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - Imply "<!noudeb>" profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add mawk dependency implied by empty .text section check

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 17:38:03 -0400

debhelper (13.18) unstable; urgency=medium

  * perl_makemaker: Fix missing import that broke cross-builds.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #1078707)
  * perl-build: Set PKG_CONFIG during cross builds like perl-makemaker.
    Thanks to gregor herrmann <gregoa@debian.org>

 -- Niels Thykier <niels@thykier.net>  Wed, 14 Aug 2024 20:27:05 +0000

debhelper (13.17) unstable; urgency=medium

  [ Américo Monteiro ]
  * Update on Portuguese translation of man pages

  [ Niels Thykier ]
  * Reorder default sequence around dh_fixperms and nearby tools in
    compat 14. (Closes: #981783, #982457). This should also avoid
    future issues like LP#1928381 where Ubuntu's modifications to
    `dh_strip` cause differences not visible in Debian.
  * dh_assistant: Fix bug the config introspection could be wrong.
  * debhelper-documentation.json: Associate with `substvars` with
    `dh_gencontrol`.
  * Add some config hints to `dh_makeshlibs` and `dh_gencontrol`.
  * Bump Standards-Version to 4.7.0 - no changes required
  * Dh_Lib.pm: Change `pkgfile` lookup to have opt-in features
    rather than always-on in compat 14. Third-party debhelper tools
    should update their `pkgfile` calls if they need `named` or/and
    architecture specifc configuration files.
  * Set PKG_CONFIG when calling Makefile.pl (makemaker) if not already set
  * Make `dh_auto_install --destdir` change a pure compat 14 change.
    Thanks to Jeremy Bícha <jeremy.bicha@canonical.com>.
    (Closes: #1074322)

  [ Jean-Pierre Giraud ]
  * Update French manpage translation

  [ Helmut Grohne ]
  * cmake.pm: Also pass pkg-config via environment (Closes: #1077673)

 -- Niels Thykier <niels@thykier.net>  Tue, 13 Aug 2024 12:21:03 +0000

## debhelper 13.18ubuntu2.1

=== debian/changelog ===
debhelper (13.18ubuntu2.1) oracular; urgency=medium

  * Fix a regression in pkgfile where compat 14 semantics were always active,
    causing arch-specific overrides to be ignored (LP: #2083651).

 -- Chris Peterson <chris.peterson@canonical.com>  Fri, 18 Oct 2024 10:14:50 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders:
  Niels Thykier <niels@thykier.net>,
 Build-Depends:
@@ -14,7 +15,7 @@
 X-DH-Compat: 15
 X-Style: black
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Testsuite:
  autopkgtest-pkg-perl
 Vcs-Git: https://salsa.debian.org/debian/debhelper.git
@@ -37,7 +38,7 @@
  dpkg (>= 1.18.0~),
  dpkg-dev (>= 1.18.2~),
  debugedit,
- awk,
+ mawk,
  dwz (>= 0.12.20190711) <!pkg.debhelper.bootstrap>,
  file (>= 3.23),
  libdebhelper-perl (= ${source:Version}),

## debhelper 13.19~bpo12+1

=== debian/changelog ===
debhelper (13.19~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Skipped 13.20 as it is a temporary sid-only change that would
    have to be undone for -backports. Using 13.19 as basline
    version is a more accurate description of the actual content.
  * Remaining delta:
    - Disable dh_movetousr.
    - Revert: "systemd helpers: install units to /usr".
    - Tests related to the above changes.

 -- Niels Thykier <niels@thykier.net>  Sat, 31 Aug 2024 10:18:48 +0000

debhelper (13.19) unstable; urgency=medium

  * Fix regression in pkgfile where compat 14 semantics were always active.
    Thanks to Salvatore Bonaccorso <carnil@debian.org>
  * dh_lintian: Reject architecture specific overrides files for M-A: same [c14]
    Thanks to Salvatore Bonaccorso <carnil@debian.org> (Closes: #1078830)

 -- Niels Thykier <niels@thykier.net>  Sun, 18 Aug 2024 08:15:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders:
  Niels Thykier <niels@thykier.net>,
 Build-Depends:
@@ -11,7 +10,6 @@
  man-db <pkg.debhelper.ci>,
  perl:any,
  po4a <!pkg.debhelper.nonls>,
- debugedit,
 X-DH-Compat: 15
 X-Style: black
 Rules-Requires-Root: no
@@ -37,8 +35,6 @@
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
  dpkg (>= 1.18.0~),
  dpkg-dev (>= 1.18.2~),
- debugedit,
- mawk,
  dwz (>= 0.12.20190711) <!pkg.debhelper.bootstrap>,
  file (>= 3.23),
  libdebhelper-perl (= ${source:Version}),

## debhelper 13.20

=== debian/changelog ===
debhelper (13.20) unstable; urgency=medium

  [ Samuel Thibault ]
  * dh_installsysusers: Temporarily add opensysusers alternative.
    (See #1076045)

 -- Niels Thykier <niels@thykier.net>  Fri, 23 Aug 2024 08:06:37 +0000

## debhelper 13.20ubuntu1

=== debian/changelog ===
debhelper (13.20ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - Imply "<!noudeb>" profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add mawk dependency implied by empty .text section check

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Oct 2024 11:13:57 -0500

## debhelper 13.22ubuntu1

=== debian/changelog ===
debhelper (13.22ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - Imply "<!noudeb>" profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add mawk dependency implied by empty .text section check

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 19 Dec 2024 22:44:44 -0600

debhelper (13.22) unstable; urgency=medium

  * Bring back the python-distutils build-system. It is clearly
    used given removing it caused 200+ FTBFS bugs. Hoever, it is
    also clearly not used (becuase using it would cause FTBFS
    bugs). Instead packages seem to just override all the
    `dh_auto_*` commands and what breaks with the full removal
    is that `dh` cannot find the build system.
    (Reopens: #1089715)

 -- Niels Thykier <niels@thykier.net>  Wed, 18 Dec 2024 07:22:15 +0000

debhelper (13.21) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_installlog{check,rotate}: Re-added `named` `pkgfile`s in
    compat 14+
  * Dh_Lib.pm: Recognize `!=` substvars.
    Thanks to Guillem Jover <guillem@debian.org>
  * Revert "dh_installsysusers: Temporarily add opensysusers
    alternative". The work around is no longer needed. Thanks
    to Samuel Thibault <sthibault@debian.org>.
  * Fix some typos and formatting issues in man pages.
    Thanks to Christoph Brinkhaus <c.brinkhaus@t-online.de>
    (Closes: #1083170)
  * Fix typo of `dh_gencontrol` in man page
  * Remove the defunct python-distutils build-system retroactively.
    Thanks to Colin Watson <cjwatson@debian.org> (Closes: #1089715)
  * dh_fixperms: Remove `exec` bit from files in `/usr/share/themes`
  * Replace `dh-buildinfo` without the `dh_buildinfo` to ease transition.
    As requested in #1068809, `debhelper` will temporarily provide
    `dh-buildinfo` with relevant `Conflicts` and `Replaces` to ensure
    apt can find a solution. The provides is only on a metadata level,
    since most packages no longer use `dh_buildinfo` directly or cope
    gracefully with its removal. A few packages are expected to break,
    which will be cleaned up by people who volunteered in #1068809.
    If your package starts to FTBFS as a consequence of this change,
    please remove the call to `dh_buildinfo`.
    See: #1068809
  * dh_auto_install: Ensure sane minimum mode in destdir [c14]
    (Closes: #1082724)

  [ Christoph Brinkhaus ]
  * Update German translation of man pages (Closes: #1083169)

 -- Niels Thykier <niels@thykier.net>  Mon, 16 Dec 2024 12:14:25 +0000

## debhelper 13.23~bpo12+1

=== debian/changelog ===
debhelper (13.23~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Remaining delta:
    - Disable dh_movetousr.
    - Revert: "systemd helpers: install units to /usr".
    - Tests related to the above changes.

 -- Niels Thykier <niels@thykier.net>  Fri, 03 Jan 2025 04:55:18 +0000

debhelper (13.23) unstable; urgency=medium

  * makefile.pm: Preserve return value from `sub install`

 -- Niels Thykier <niels@thykier.net>  Sat, 28 Dec 2024 11:12:36 +0000

=== debian/control ===
--- 
+++ 
@@ -54,7 +54,12 @@
  meson (<< 0.40.0~),
 Suggests:
  dh-make,
+Replaces:
+ dh-buildinfo,
 Provides:
+# Per #1068809, debhelper will temporarily provides/replaces/conflicts on
+# dh-buildinfo to ease the transition
+ dh-buildinfo,
  dh-sequence-dwz,
  dh-sequence-elf-tools,
  dh-sequence-installinitramfs,
@@ -63,6 +68,8 @@
  dh-sequence-single-binary,
  dh-sequence-systemd,
  ${dh:CompatLevels},
+Conflicts:
+ dh-buildinfo,
 Multi-Arch: foreign
 Description: helper programs for debian/rules
  A collection of programs that can be used in a debian/rules file to

## debhelper 13.23~mx23%2B1

=== t/Dh_Lib/debian/control ===
# Comment before the source field

Source: foo
Section: misc
Priority: optional
Maintainer: Test <testing@nowhere>
Standards-Version: 3.9.8

Package: foo-any
Section: devel
Architecture: linux-any
Description: package foo-any
 Package foo-any

Package: foo-all
Architecture: all
Description: package foo-all
 Package foo-all

=== t/dh_installinit/debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Test <testing@nowhere>
 Standards-Version: 3.9.8
+X-DH-Compat: @DH_COMPAT_LEVEL@
 
 Package: foo
 Architecture: all

## debhelper 13.23~mx23+1

=== debian/changelog ===
debhelper (13.23~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 21 Feb 2025 08:54:13 -0800

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>
Build-Depends: dpkg-dev (>= 1.18.0~),
               libtest-pod-perl <pkg.debhelper.ci>,
               man-db <pkg.debhelper.ci>,
               perl:any,
               po4a <!pkg.debhelper.nonls>
X-DH-Compat: 15
X-Style: black
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite:
 autopkgtest-pkg-perl
Vcs-Git: https://salsa.debian.org/debian/debhelper.git
Vcs-Browser: https://salsa.debian.org/debian/debhelper

Package: debhelper
Architecture: all
Depends: autotools-dev,
# Version 12 is where dh-autoreconf supports --sourcedirectory.
# Version 16 fixes #887482, version 17 fixes #889567
# Constraint can be relaxed if packages do not rely/require any of the
# above fixes
         dh-autoreconf (>= 17~),
# Version constraint is to get a version of dh-strip-nondeterminism
# without several bugs.  The constraint can be relaxed if an older
# version is sufficient.
         dh-strip-nondeterminism (>= 0.028~),
# dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
         dpkg (>= 1.18.0~),
         dpkg-dev (>= 1.18.2~),
         dwz (>= 0.12.20190711) <!pkg.debhelper.bootstrap>,
         file (>= 3.23),
         libdebhelper-perl (= ${source:Version}),
         libdpkg-perl (>= 1.17.14),
         man-db <!pkg.debhelper.bootstrap>,
         po-debconf
Breaks:
# To ensure cmake understands -DCMAKE_INSTALL_RUNSTATEDIR=/run as used in compat 11
# - Can be dropped (with the caveat that cmake packages may behave differently
#   depending on the version of cmake).
        cmake (<< 3.9~),
# The debhelper-documentation plugin uses features from 0.1.18+
# The `dh_assistant` change in 13.16 is not great for `dh-debputy`'s LSP/Lint features before debputy/0.1.37
# (The build part of `debputy` is unaffected)
        dh-debputy (<< 0.1.36~),
# meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
        meson (<< 0.40.0~)
Suggests: dh-make
Replaces: dh-buildinfo
Provides:
# Per #1068809, debhelper will temporarily provides/replaces/conflicts on
# dh-buildinfo to ease the transition
          dh-buildinfo,
          dh-sequence-dwz,
          dh-sequence-elf-tools,
          dh-sequence-installinitramfs,
          dh-sequence-installsysusers,
          dh-sequence-movetousr,
          dh-sequence-single-binary,
          dh-sequence-systemd,
          ${dh:CompatLevels}
Conflicts: dh-buildinfo
Multi-Arch: foreign
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building Debian packages. Programs
 are included to install various files into your package, compress
 files, fix file permissions, integrate your package with the Debian
 menu system, debconf, doc-base, etc. Most Debian packages use debhelper
 as part of their build process.

Package: libdebhelper-perl
Section: perl
Architecture: all
Replaces: debhelper (<< 12.6~)
Breaks: debhelper (<< 12.6~)
Multi-Arch: foreign
Description: debhelper perl modules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building Debian packages.
 .
 This package provides the perl modules used by the scripts in debhelper.
